package main

type procDummyDef struct {
	chatProcedureID
}

var procDummy = procDummyDef{}

func (m *procDummyDef) init(ss *openIDSessionData) {
	ss.Procedure = m.getID()
	ss.refreshExpire(600)
}

func (m *procDummyDef) clean(ss *openIDSessionData) {
	ss.Procedure = ""
}

func (m *procDummyDef) start(ss *openIDSessionData, in *InWechatMsg) {

}

func (m *procDummyDef) serve(ss *openIDSessionData, in *InWechatMsg) (processed bool) {
	return
}
func (m *procDummyDef) summary(ss *openIDSessionData) {

}

func (m *procDummyDef) intro(ss *openIDSessionData, in *InWechatMsg) {

}
